require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", false);
SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", false);
SManager:AddFlowers(FlowerType.FLOWERS5, "flowersVGR", true);

SManager:AddMeal(MealType.STEAK, "steakLondonBroil", true);
SManager:AddMeal(MealType.FISH, "fishGingerSalmon", false);
SManager:AddMeal(MealType.CHICKEN, "chickenRosemary", false);

SManager:AddCake(CakeType.IRA, "cake2Buttercream", false);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", true);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", false);


PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.MEAL, SelectionType.CAKE);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");